Summary: A bandwidth-limiting module for use with Apache.
Name: mod_bandwidth
Version: 2.0.2
Release: 2
Group: System Environment/Daemons
URL: http://www.cohprog.com/mod_bandwidth.html
Source: ftp://ftp.cohprog.com/pub/apache/module/1.3.0/mod_bandwidth.c
License: Apache Software License
BuildRoot: %{_tmppath}/%{name}-root
BuildPrereq: apache-devel
Requires: webserver

%description
mod_bandwidth can limit bandwidth usage either server-wide, or on a per-
connection basis dependent on file size, directory location, or client
hostname or address.

%prep
%setup -T -c
cp %{SOURCE0} .
cat %{SOURCE0} | tail +53 | head -237 > readme

%build
%{_sbindir}/apxs -c -o %{name}.so %{name}.c

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir}/apache
install -m755 %{name}.so $RPM_BUILD_ROOT%{_libdir}/apache/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc readme
%{_libdir}/apache/*.so

%changelog
* Tue Jul 24 2001 Nalin Dahyabhai <nalin@redhat.com>
- snip out part of the source file and supply it as a %%doc readme file (#49838)

* Mon May 21 2001 Nalin Dahyabhai <nalin@redhat.com>
- break out from apache package
- update from 2.0 to 2.0.2
